/******************************************************************************/
/* ENVCB.H: Control blocks used by text processor environment.
*/
/******************************************************************************/
typedef FILE * HANDLE;           /* Stream I/O: handle is file pointer. */
/******************************************************************************/
struct iofcb {                /* I/O file control block. */
     HANDLE fcbfd;            /* DOS file handle. */
     long fcboff;             /* Offset in file of current read block. */
     UNCH *fcbxid;            /* External ID string. */
     UNCH *fcbnext;           /* Next file in fcbxid (NULL if no more). */
     UNCH fcbfile[FILESPEC+2];/* Full system fileid (length + EOS). */
     int fcbcatsw;            /* 1=catenate next file on next read; 0=no. */
     int fcbRS;               /* 1=prefix RS to first file of entity; 0=no. */
     int fcbRE;               /* 1=strip RE from last file of entity; 0=no. */
     int fcbfirst;            /* 1=next read will be the first; 0=no. */
     int fcbpend;	      	  /* 1=prefix RS to next read; 0=no. */
};
#define IPBFCB ((struct iofcb *)io->ipbn)      /* IPBFILE: Ptr to SGMLIO fcb. */
#define FLID (((struct iofcb *)SCBFCB)->fcbfile)/* Actual fileid of file. */
/******************************************************************************/
