#   File:       vm2.make
#   Target:     vm2
#   Sources:    arclexrf.c
#               arcpcbrf.c
#               arcsynrf.c
#               context.c
#               mcsgmlio.c
#               modmd1.c
#               modmd2.c
#               modpars1.c
#               modpars2.c
#               modserv.c
#               modsgml1.c
#               modsgml2.c
#               sgmlapi.c
#               sgmlmem.c
#               sgmlmsg.c
#               sgmlxtrn.c
#               traceset.c
#               vm2.c
#               vmxtrn.c
#   Created:    Sunday, August 18, 1991 9:40:38 PM

COptions = -r -sym on -i {SGMLH}
SGMLC = :sgmlc:
SGMLH = :sgmlh:
OBJECTS = 
		{SGMLC}arclexrf.c.o 
		{SGMLC}{SGMLC}arcpcbrf.c.o 
		{SGMLC}arcsynrf.c.o 
		{SGMLC}context.c.o 
		{SGMLC}mcsgmlio.c.o 
		{SGMLC}modmd1.c.o 
		{SGMLC}modmd2.c.o 
		{SGMLC}modpars1.c.o 
		{SGMLC}modpars2.c.o 
		{SGMLC}modserv.c.o 
		{SGMLC}modsgml1.c.o 
		{SGMLC}modsgml2.c.o 
		{SGMLC}sgmlapi.c.o 
		{SGMLC}sgmlmem.c.o 
		{SGMLC}sgmlmsg.c.o 
		{SGMLC}sgmlxtrn.c.o 
		{SGMLC}traceset.c.o 
		{SGMLC}vm2.c.o 
		{SGMLC}vmxtrn.c.o

vm2  vm2.make {OBJECTS} {SGMLC}vm2.r
	Link -d -c 'MPS ' -t MPST -sym on -mf 
		{OBJECTS} 
		"{CLibraries}"StdClib.o 
		"{Libraries}"Stubs.o 
		"{Libraries}"Runtime.o 
		"{Libraries}"Interface.o 
		-o vm2
	Rez {SGMLC}vm2.r -o vm2 -append
arclexrf.c.o  vm2.make {SGMLC}arclexrf.c {SGMLH}entity.h {SGMLH}synxtrn.h {SGMLH}action.h {SGMLH}adl.h {SGMLH}lextoke.h
	 C {COptions} {SGMLC}arclexrf.c
arcpcbrf.c.o  vm2.make {SGMLC}arcpcbrf.c {SGMLH}entity.h {SGMLH}action.h {SGMLH}synxtrn.h {SGMLH}adl.h
	 C {COptions} {SGMLC}arcpcbrf.c
arcsynrf.c.o  vm2.make {SGMLC}arcsynrf.c {SGMLH}entity.h {SGMLH}synxtrn.h {SGMLH}adl.h
	 C {COptions} {SGMLC}arcsynrf.c
context.c.o  vm2.make {SGMLC}context.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}context.c
mcsgmlio.c.o  vm2.make {SGMLC}mcsgmlio.c {SGMLH}vmincl.h {SGMLH}vmxtrn.h
	 C {COptions} {SGMLC}mcsgmlio.c
modmd1.c.o  vm2.make {SGMLC}modmd1.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modmd1.c
modmd2.c.o  vm2.make {SGMLC}modmd2.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modmd2.c
modpars1.c.o  vm2.make {SGMLC}modpars1.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modpars1.c
modpars2.c.o  vm2.make {SGMLC}modpars2.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modpars2.c
modserv.c.o  vm2.make {SGMLC}modserv.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modserv.c
modsgml1.c.o  vm2.make {SGMLC}modsgml1.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modsgml1.c
modsgml2.c.o  vm2.make {SGMLC}modsgml2.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}modsgml2.c
sgmlapi.c.o  vm2.make {SGMLC}sgmlapi.c {SGMLH}vmincl.h {SGMLH}vmxtrn.h {SGMLH}sgmlapi.h
	 C {COptions} {SGMLC}sgmlapi.c
sgmlmem.c.o  vm2.make {SGMLC}sgmlmem.c {SGMLH}vmincl.h {SGMLH}vmxtrn.h
	 C {COptions} {SGMLC}sgmlmem.c
sgmlmsg.c.o  vm2.make {SGMLC}sgmlmsg.c {SGMLH}vmincl.h {SGMLH}vmxtrn.h
	 C {COptions} {SGMLC}sgmlmsg.c
sgmlxtrn.c.o  vm2.make {SGMLC}sgmlxtrn.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}sgmlxtrn.c
traceset.c.o  vm2.make {SGMLC}traceset.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}traceset.c
vm2.c.o  vm2.make {SGMLC}vm2.c {SGMLH}vmincl.h {SGMLH}vmxtrn.h {SGMLH}sgmlapi.h
	 C {COptions} {SGMLC}vm2.c
vmxtrn.c.o  vm2.make {SGMLC}vmxtrn.c {SGMLH}sgmlincl.h
	 C {COptions} {SGMLC}vmxtrn.c
